Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.cxml
Class CXMLManager

    java.lang.Object
      |
      +--com.bea.b2b.protocol.cxml.CXMLManager

public class CXMLManager
extends java.lang.Object

The CXMLManager class represents a management class for applications using the cXML protocol.

Use an object of this class for each trading partner participating in the exchange of cXML messages. The configuration of each trading partner is defined in the repository.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `deregister(java.util.Properties properties)` Deregisters the application with this CXMLManager.
`static CXMLManager` | `getInstance()` Gets an instance of the CXMLManager.
`CXMLListener` | `getListener(java.util.Properties properties)` Returns the CXMLListener registered to this Trading Partner.
`java.lang.String` | `getSharedSecret(java.lang.String tpName)` Gets the Shared Secret for this Trading Parter.
`CXMLToken` | `register(CXMLListener listener, java.util.Properties properties)` Registers the application with this CXMLManager.
`CXMLToken` | `register(java.util.Properties properties)` Registers the application with this CXMLManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CXMLManager getInstance()

  Gets an instance of the CXMLManager.

  Returns:
    CXMLManager - An instance of CXMLManager

### register

    public CXMLToken register(CXMLListener listener,
                              java.util.Properties properties)
                       throws CXMLManagerException

  Registers the application with this CXMLManager. Uses a set of properties to select the CA for this Trading Partner.

  Use for receiving cXML messages.

  Parameters:
    `listener` - The object receiving the cXML message
  Returns:
    token - Unique identifier for this application
  Throws:
    CXMLManagerException -

### register

    public CXMLToken register(java.util.Properties properties)
                       throws CXMLManagerException

  Registers the application with this CXMLManager. Uses a set of properties to select the CA for this Trading Partner.

  Use for sending cXML messages.

  Returns:
    token - Unique identifier for this application
  Throws:
    CXMLManagerException -

### deregister

    public void deregister(java.util.Properties properties)
                    throws CXMLManagerException

  Deregisters the application with this CXMLManager. Uses a set of properties to select the registration.

  Throws:
    CXMLManagerException -

### getListener

    public CXMLListener getListener(java.util.Properties properties)
                             throws CXMLManagerException

  Returns the CXMLListener registered to this Trading Partner. Uses the properties to get the listener.

  Parameters:
    `properties` - Properties uniquely identifying the CA
  Returns:
    CXMLListener - The CXMLListener for this application
  Throws:
    CXMLManagerException -

### getSharedSecret

    public java.lang.String getSharedSecret(java.lang.String tpName)
                                     throws CXMLManagerException

  Gets the Shared Secret for this Trading Parter. Uses the Trading Partner name to find the Shared Secret.

  Parameters:
    `tpName` - The Trading Partner name
  Returns:
    string - Shared Secret for this trading partner
  Throws:
    CXMLManagerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)